> ## Documentation Index
> Fetch the complete documentation index at: https://manual.seahorse.dnotitia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete multiple objects from Storage

> Delete multiple objects from the storage by object keys and path.



## OpenAPI

````yaml DELETE /v1/storage/objects
openapi: 3.1.0
info:
  title: Seahorse API Gateway
  description: >-
    Seahorse API Gateway is an API gateway that integrates vector database, AI
    inference, and storage services. It provides features such as vector search,
    embedding generation, text generation, and object storage.
  license:
    name: ''
  version: 2.0.0-rc1
servers:
  - url: https://{resource_uuid}.api.seahorse.dnotitia.ai
    description: >-
      리소스(스토리지/테이블/인퍼런스 endpoint)별 UUID 서브도메인. UUID 는 콘솔 → 리소스 상세 페이지 "API URL"
      항목에서 확인
    variables:
      resource_uuid:
        default: your-resource-uuid-here
        description: '대시 제거된 32자리 UUID (예: b0348a15cf0e48079e290fe03901247b)'
security: []
tags:
  - name: TABLE_V2
    description: Table operations v2
  - name: STORAGE
    description: Storage Object operations
paths:
  /v1/storage/objects:
    delete:
      tags:
        - STORAGE
      summary: Delete multiple objects from Storage
      description: Delete multiple objects from the storage by object keys and path.
      operationId: delete_objects_handler
      requestBody:
        description: The objects to delete from storage.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteObjectsRequest'
            example:
              object_keys:
                - my-file.pdf
                - my-file.doc
              path:
                - pdf/
                - doc/
        required: true
      responses:
        '200':
          description: Success to delete objects from storage.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_DeleteObjectsResponse'
              example:
                code: 200
                data:
                  deleted_object_count: 3
                  deleted_objects:
                    - my-file.pdf
                    - my-file.doc
                    - doc/my-file-2.doc
                  errors:
                    - error_code: '404'
                      error_message: Objects not exist in path
                      key: pdf/
                exception: null
                success: true
        '400':
          description: Invalid input provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 400
                data: null
                exception:
                  error_code: 400001
                  error_message: 'Bad Request: '
                success: false
        '500':
          description: Error occurred while deleting objects from storage.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoralResponse_ErrorBody'
              example:
                code: 500
                data: null
                exception:
                  error_code: 500001
                  error_message: 'Internal error: '
                success: false
      security:
        - bearerAuth:
            - WRITE
        - apiKeyAuth:
            - WRITE
components:
  schemas:
    DeleteObjectsRequest:
      type: object
      required:
        - object_keys
        - path
      properties:
        object_keys:
          type: array
          items:
            type: string
          description: >-
            List of object keys to delete. e.g. ["pdf/test.pdf",
            "pdf/test2.pdf"]
        path:
          type: array
          items:
            type: string
          description: Path of the objects to delete. e.g. "pdf/"
    CoralResponse_DeleteObjectsResponse:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data:
          type: object
          required:
            - deleted_objects
            - errors
            - deleted_object_count
          properties:
            deleted_object_count:
              type: integer
              description: Number of objects deleted.
              minimum: 0
            deleted_objects:
              type: array
              items:
                type: string
              description: List of object keys that were successfully deleted.
            errors:
              type: array
              items:
                $ref: '#/components/schemas/DeleteObjectsError'
              description: List of errors that occurred while deleting objects.
        exception:
          type: object
          required:
            - deleted_objects
            - errors
            - deleted_object_count
          properties:
            deleted_object_count:
              type: integer
              description: Number of objects deleted.
              minimum: 0
            deleted_objects:
              type: array
              items:
                type: string
              description: List of object keys that were successfully deleted.
            errors:
              type: array
              items:
                $ref: '#/components/schemas/DeleteObjectsError'
              description: List of errors that occurred while deleting objects.
        success:
          type: boolean
          description: Whether the request was successful.
    CoralResponse_ErrorBody:
      type: object
      required:
        - success
        - code
      properties:
        code:
          type: integer
          format: int32
          description: HTTP status code.
          minimum: 0
        data:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        exception:
          type: object
          required:
            - error_code
            - error_message
          properties:
            error_code:
              type: integer
              format: int32
              minimum: 0
            error_message:
              type: string
        success:
          type: boolean
          description: Whether the request was successful.
    DeleteObjectsError:
      type: object
      required:
        - key
        - error_code
        - error_message
      properties:
        error_code:
          type: string
          description: Error code.
        error_message:
          type: string
          description: Error message.
        key:
          type: string
          description: Key(Object Key or Path) that failed to delete.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Include the token in the Authorization
        header as 'Bearer <token>'
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key authentication. Include the key in the api-key header

````